import { Logger } from "./Logger";
import { KeyWordScaningConstructorProps } from "./utils/typescript";
export declare class KeywordScaning extends Logger {
    /** 根目录 */
    root: string;
    /** 当前是否已经运行 */
    isLock: boolean;
    /** 检测路径 */
    folderPath: string;
    /** 关键字列表 */
    keywordList: string[];
    /** 打开文件的编码 */
    private encode;
    /** 开始时间 */
    private startTime;
    /** 结束时间 */
    private endTime;
    /** 待扫描文件列表 */
    private filesList;
    /** 跳过扫描的文件列表 */
    private skipfilesList;
    /** 存在关键字的文件列表 */
    private keyFileList;
    pushSingleFile: (...items: typeof this.filesList) => number;
    /** 初始化类 */
    constructor(args: KeyWordScaningConstructorProps);
    /** 开启扫描进程 */
    private startProcess;
    /** 关闭扫描进程 */
    private endProcess;
    /** 检查路径是否存在 */
    checkPath(dir: string): boolean;
    /** 清空列表 */
    initProcess(): void;
    /** 开始执行 */
    start(): false | void | {
        /** 运行时间 */
        time: number;
        /** 检测文件数量 */
        fileCount: number;
        /** 跳过文件数量 */
        skipCount: number;
        /** 总文件数量 */
        allCount: number;
        /** todo 检测关键字数量 */
        keyWordCount: null;
        /** 关键字数量 */
        keyFileCount: number;
        /** 文件列表 */
        keyFileList: string[];
    };
    /** 显示执行时间 */
    private showTime;
    /** 计算运行时间 */
    private calcTime;
    /** 主进程 */
    private mainProcess;
    /** 扫描文件列表 */
    private scaneDirectory;
    /** 检查文件列表 */
    private getFileLists;
    /** 读取文件 */
    private scaneFiles;
    private scaneFile;
    private genResult;
}
